import { EventEmitter } from '@angular/core';
import * as common from 'schema-based-json-editor';
export declare class AnyEditorComponent {
    schema: common.StringSchema;
    initialValue: string;
    title?: string;
    updateValue: EventEmitter<common.ValidityValue<string | undefined>>;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    onDelete: EventEmitter<any>;
    readonly?: boolean;
    required?: boolean;
    hasDeleteButton: boolean;
    monacoEditor?: common.MonacoEditor;
    private monacoEditorRef;
    value?: string;
    buttonGroupStyle: string;
    private monacoCodeEditor?;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly titleToShow: string;
    readonly className: string;
    readonly isReadOnly: boolean | undefined;
    readonly hasDeleteButtonFunction: boolean;
    toggleOptional: () => void;
}
