import { EventEmitter } from '@angular/core';
import * as common from 'schema-based-json-editor';
export declare class EditorComponent {
    schema: common.Schema;
    initialValue: common.ValueType[];
    title?: string;
    updateValue: EventEmitter<common.ValidityValue<common.ValueType>>;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    onDelete: EventEmitter<any>;
    readonly?: boolean;
    required?: boolean;
    hasDeleteButton: boolean;
    dragula?: common.Dragula;
    md?: any;
    hljs?: common.HLJS;
    forceHttps?: boolean;
    disableCollapse?: boolean;
    noSelect2?: boolean;
    minItemCountIfNeedFilter?: number;
    monacoEditor?: common.MonacoEditor;
    getReference: (name: string) => common.Schema | undefined;
    readonly realSchema: common.Schema;
}
