import { EventEmitter } from '@angular/core';
import * as common from 'schema-based-json-editor';
export declare class NumberEditorComponent {
    schema: common.NumberSchema;
    initialValue: number;
    title?: string;
    updateValue: EventEmitter<common.ValidityValue<number | undefined>>;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    onDelete: EventEmitter<any>;
    readonly?: boolean;
    required?: boolean;
    hasDeleteButton: boolean;
    noSelect2?: boolean;
    value?: number;
    errorMessage: string;
    buttonGroupStyle: string;
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    ngOnInit(): void;
    readonly useInput: boolean | undefined;
    readonly useSelect: boolean;
    readonly useSelect2Component: boolean;
    readonly useSelectComponent: boolean | undefined;
    readonly useRadioBoxComponent: boolean;
    readonly isReadOnly: boolean | undefined;
    readonly hasDeleteButtonFunction: boolean;
    readonly titleToShow: string;
    readonly options: {
        value: string | number;
        label: string | number;
    }[];
    readonly className: string;
    updateSelection(value: any): void;
    trackByFunction: (index: number) => number;
    toggleOptional(): void;
    private validate;
}
